a13nDocs

创建记忆

POST/api/v1/memories

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

请求体

application/json

TypeScript 类型定义

在 TypeScript 中使用 request body 类型。

postgres 创建由 Service 保存的文件型记忆;记忆 provider 类型在对应后端创建记录型记忆,使用新命名空间或 namespace 指定的已有命名空间。

响应体

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/memories" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "always_load": [    "string"  ],  "content_bytes": 0,  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "description": "string",  "file_count": 0,  "guide": "string",  "history_bytes": 0,  "id": "string",  "inherited_guide": "string",  "kind": "file",  "labels": {    "property1": "string",    "property2": "string"  },  "name": "string",  "namespace": "string",  "organization_id": "string",  "provider_id": "string",  "type": "string",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_id": "string",  "version": 0,  "workspace_id": "string"}